﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace PhoneNumberChooser
{
    public partial class MainPage : PhoneApplicationPage
    {
        private PhoneNumberChooserTask _choosePhoneNumber;
        public MainPage()
        {
            InitializeComponent();
            _choosePhoneNumber = new PhoneNumberChooserTask();
            _choosePhoneNumber.Completed += new EventHandler<PhoneNumberResult>( _choosePhoneNumber_Completed );
            button1.Click += new RoutedEventHandler( button1_Click );
        }

        void _choosePhoneNumber_Completed( object sender, PhoneNumberResult e )
        {
            System.Windows.MessageBox.Show(
                "You picked the phone number " +
                e.PhoneNumber );
        }

        void button1_Click( object sender, RoutedEventArgs e )
        {
            _choosePhoneNumber.Show();
        }
    }
}